commit fb09cfc3f2b667aa09deef8a0f9933a2e710be8f
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Sat Jan 7 16:15:46 2023 +0000

    OpenSSL: fix build for pre-1.1.0
    
    Broken-by: 42f1855e94bd

diff --git a/src/src/tls-openssl.c b/src/src/tls-openssl.c
index 96be7c4a2..10b5f2aa5 100644
--- a/src/src/tls-openssl.c
+++ b/src/src/tls-openssl.c
@@ -711,7 +711,7 @@ OpenSSL >= 1.1.0: we do not set anything, the libray does autoselection
 */
 
 static uschar *
-init_ecdh_auto(SSL_CTX * ctx)
+init_ecdh_auto(SSL_CTX * sctx)
 {
 #if OPENSSL_VERSION_NUMBER < 0x10002000L
 DEBUG(D_tls) debug_printf(

